package jp.mosp.workflow.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class CtOvertimeRequestDto extends BaseDto {

	private static final long serialVersionUID = 3402105154211410548L;

	// フィールド
	private int 	voucher 	= 0;
	private long 	workflow 	= 0;
	private String 	kcode 		= "";
	private Date 	requestdate = null;
	private Date 	workdate 	= null;
	private int 	overtime 	= 0;
	private String 	reason 		= "";
	private int 	deleteflag 	= 0;

	/**
	 * コンストラクタ。
	 */
	public CtOvertimeRequestDto() {
		super();
	}

	// アクセサメソッド
	public int 	getVoucher() 		{ return voucher					; }
	public long 	getWorkflow() 		{ return workflow					; }
	public String 	getKCode() 			{ return kcode						; }
	public Date 	getRequestDate() 	{ return (Date) requestdate.clone()	; }
	public Date 	getWorkDate() 		{ return (Date) workdate.clone()	; }
	public int 	getOverTime() 		{ return overtime					; }
	public String 	getReason() 		{ return reason						; }
	public int 	getDeleteFlag() 	{ return deleteflag					; }

	public void setVoucher 	(int voucher		) { this.voucher 		= voucher						; }
	public void setWorkflow 	(long workflow		) { this.workflow 		= workflow						; }
	public void setKCode 		(String kcode		) { this.kcode 			= kcode							; }
	public void setRequestDate (Date requestdate	) { this.requestdate 	= (Date) requestdate.clone()	; }
	public void setWorkDate 	(Date workdate		) { this.workdate 		= (Date) workdate.clone()		; }
	public void setOverTime 	(int overtime		) { this.overtime 		= overtime						; }
	public void setReason 		(String reason		) { this.reason 		= reason						; }
	public void setDeleteFlag 	(int deleteflag		) { this.deleteflag 	= deleteflag					; }

}